Bug 1590686 - SELinux is preventing fprintd from 'read' accesses on the directory tmp.
Summary: SELinux is preventing fprintd from 'read' accesses on the directory tmp.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:9d936ca491ebb0c6725acb09b9c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-13 08:20 UTC by Angie
Modified: 2018-07-29 03:22 UTC (History)
5 users (show)

Fixed In Version: selinux-policy-3.14.1-36.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-29 03:22:20 UTC
Type: ---


Attachments (Terms of Use)

Description Angie 2018-06-13 08:20:30 UTC
Description of problem:
trying to enroll fingerprint on existing user
SELinux is preventing fprintd from 'read' accesses on the directory tmp.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that fprintd should be allowed read access on the tmp directory by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'fprintd' --raw | audit2allow -M my-fprintd
# semodule -X 300 -i my-fprintd.pp

Additional Information:
Source Context                system_u:system_r:fprintd_t:s0
Target Context                system_u:object_r:tmp_t:s0
Target Objects                tmp [ dir ]
Source                        fprintd
Source Path                   fprintd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           filesystem-3.8-2.fc28.x86_64
Policy RPM                    selinux-policy-3.14.1-32.fc28.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.16.14-300.fc28.x86_64 #1 SMP Tue
                              Jun 5 16:23:44 UTC 2018 x86_64 x86_64
Alert Count                   3
First Seen                    2018-06-13 01:18:30 PDT
Last Seen                     2018-06-13 01:18:30 PDT
Local ID                      5f66b818-9400-4314-a28f-4568cb395245

Raw Audit Messages
type=AVC msg=audit(1528877910.301:403): avc:  denied  { read } for  pid=3881 comm="fprintd" name="tmp" dev="dm-0" ino=131569 scontext=system_u:system_r:fprintd_t:s0 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0


Hash: fprintd,fprintd_t,tmp_t,dir,read

Version-Release number of selected component:
selinux-policy-3.14.1-32.fc28.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.5
hashmarkername: setroubleshoot
kernel:         4.16.14-300.fc28.x86_64
type:           libreport

Potential duplicate: bug 1089484

Comment 1 Fedora Update System 2018-07-25 22:27:51 UTC
selinux-policy-3.14.1-36.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1050fb248b

Comment 2 Fedora Update System 2018-07-26 16:30:20 UTC
selinux-policy-3.14.1-36.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1050fb248b

Comment 3 Fedora Update System 2018-07-29 03:22:20 UTC
selinux-policy-3.14.1-36.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.